#if !defined(AFX_ITEMSUBSCRIBEDLG_H__AB251ADF_B4F8_43A9_A4F5_D65D165EBC30__INCLUDED_)
#define AFX_ITEMSUBSCRIBEDLG_H__AB251ADF_B4F8_43A9_A4F5_D65D165EBC30__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ItemSubscribeDlg.h : header file
//

#include "resource.h"
#include "apl_gui.h"
#include "apl_api.h"

/////////////////////////////////////////////////////////////////////////////
// CItemSubscribeDlg dialog

class CItemSubscribeDlg : public CaplTranslateDialog
{
// Construction
public:
	CItemSubscribeDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CItemSubscribeDlg)
	enum { IDD = IDD_ITEM_SUBSCRIBE_DIALOG };
	CButton	m_delOfficialBtn;
	CButton	m_addBtn;
	CListCtrl	m_list;
	CButton	m_deleteBtn;
	CaplButton	m_cancel_btn;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CItemSubscribeDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

public:
	bool ShowPersonsInList();

	CaplAPI *m_api;
	CaplInstance* m_item;
	CaplInstance* m_curPerson;
	CaplInstance* m_sbscr;
	CaplInstance* m_offSbscr;
	aplExtent m_pers;
	
	CImageList m_imageList;
	
	bool m_bInList;
	int m_index;
// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CItemSubscribeDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnToSubscribeButton();
	afx_msg void OnSubscribeButton();
	afx_msg void OnDeleteSubscrButton();
	afx_msg void OnItemchangedItemSubscrList(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSbscrDelButton();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ITEMSUBSCRIBEDLG_H__AB251ADF_B4F8_43A9_A4F5_D65D165EBC30__INCLUDED_)
